import * as bingo_stratum from 'bingo-stratum';
export { blockAllContributors } from './blockAllContributors.js';
export { blockAreTheTypesWrong } from './blockAreTheTypesWrong.js';
export { blockCodecov } from './blockCodecov.js';
export { blockContributingDocs } from './blockContributingDocs.js';
export { blockContributorCovenant } from './blockContributorCovenant.js';
export { blockCSpell } from './blockCSpell.js';
export { blockCTATransitions } from './blockCTATransitions.js';
export { blockDevelopmentDocs } from './blockDevelopmentDocs.js';
export { blockESLint } from './blockESLint.js';
export { blockESLintComments } from './blockESLintComments.js';
export { blockESLintJSDoc } from './blockESLintJSDoc.js';
export { blockESLintJSONC } from './blockESLintJSONC.js';
export { blockESLintMarkdown } from './blockESLintMarkdown.js';
export { blockESLintMoreStyling } from './blockESLintMoreStyling.js';
export { blockESLintNode } from './blockESLintNode.js';
export { blockESLintPackageJson } from './blockESLintPackageJson.js';
export { blockESLintPerfectionist } from './blockESLintPerfectionist.js';
export { blockESLintRegexp } from './blockESLintRegexp.js';
export { blockESLintYML } from './blockESLintYML.js';
export { blockFunding } from './blockFunding.js';
export { blockGitHubActionsCI } from './blockGitHubActionsCI.js';
export { blockGitHubIssueTemplates } from './blockGitHubIssueTemplates.js';
export { blockGitHubPRTemplate } from './blockGitHubPRTemplate.js';
export { blockGitignore } from './blockGitignore.js';
export { blockKnip } from './blockKnip.js';
export { blockMarkdownlint } from './blockMarkdownlint.js';
export { blockMITLicense } from './blockMITLicense.js';
export { blockNvmrc } from './blockNvmrc.js';
export { blockPackageJson } from './blockPackageJson.js';
export { blockPnpmDedupe } from './blockPnpmDedupe.js';
export { blockPRCompliance } from './blockPRCompliance.js';
export { blockPrettier } from './blockPrettier.js';
export { blockPrettierPluginCurly } from './blockPrettierPluginCurly.js';
export { blockPrettierPluginPackageJson } from './blockPrettierPluginPackageJson.js';
export { blockPrettierPluginSh } from './blockPrettierPluginSh.js';
export { blockREADME } from './blockREADME.js';
export { blockReleaseIt } from './blockReleaseIt.js';
export { blockRenovate } from './blockRenovate.js';
export { blockSecurityDocs } from './blockSecurityDocs.js';
export { blockTemplatedWith } from './blockTemplatedWith.js';
export { blockTSup } from './blockTSup.js';
export { blockTypeScript } from './blockTypeScript.js';
export { blockVitest } from './blockVitest.js';
export { blockVSCode } from './blockVSCode.js';
import 'zod';

declare const blocks: {
    blockAllContributors: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockAreTheTypesWrong: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockCodecov: bingo_stratum.BlockWithAddons<{
        env?: Record<string, string> | undefined;
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockContributingDocs: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockContributorCovenant: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockCSpell: bingo_stratum.BlockWithAddons<{
        words: string[];
        ignores: string[];
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockDevelopmentDocs: bingo_stratum.BlockWithAddons<{
        hints: string[];
        sections: Record<string, {
            contents?: string | {
                before?: string | undefined;
                after?: string[] | undefined;
                items?: string[] | undefined;
                plural?: string | undefined;
            } | undefined;
            innerSections?: {
                contents: string;
                heading: string;
            }[] | undefined;
        }>;
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLint: bingo_stratum.BlockWithAddons<{
        imports: {
            source: string;
            specifier: string;
            types?: boolean | undefined;
        }[];
        extensions: (string | {
            files?: string[] | undefined;
            rules?: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]> | {
                entries: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]>;
                comment?: string | undefined;
            }[] | undefined;
            settings?: Record<string, unknown> | undefined;
            plugins?: Record<string, string> | undefined;
            extends?: string[] | undefined;
            languageOptions?: unknown;
            linterOptions?: unknown;
        })[];
        ignores: string[];
        explanations: string[];
        rules?: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]> | {
            entries: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]>;
            comment?: string | undefined;
        }[] | undefined;
        settings?: Record<string, unknown> | undefined;
        beforeLint?: string | undefined;
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintComments: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintJSDoc: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintJSONC: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintMarkdown: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintMoreStyling: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintNode: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintPackageJson: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintPerfectionist: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintRegexp: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockESLintYML: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockFunding: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockGitHubActionsCI: bingo_stratum.BlockWithAddons<{
        jobs?: {
            name: string;
            steps: ({
                with?: Record<string, string> | undefined;
                env?: Record<string, string> | undefined;
                if?: string | undefined;
            } & ({
                run: string;
            } | {
                uses: string;
            }))[];
            if?: string | undefined;
            checkoutWith?: Record<string, string> | undefined;
        }[] | undefined;
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockGitHubIssueTemplates: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockGitHubPRTemplate: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockGitignore: bingo_stratum.BlockWithAddons<{
        ignores: string[];
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockKnip: bingo_stratum.BlockWithAddons<{
        ignoreDependencies?: string[] | undefined;
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockMarkdownlint: bingo_stratum.BlockWithAddons<{
        ignores: string[];
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockMITLicense: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockNvmrc: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockPackageJson: bingo_stratum.BlockWithAddons<{
        properties: {
            type?: "module" | "commonjs" | undefined;
            author?: string | {
                name: string;
                url?: string | undefined;
                email?: string | undefined;
            } | undefined;
            bin?: string | Record<string, string> | undefined;
            name?: string | undefined;
            contributors?: (string | {
                name: string;
                url?: string | undefined;
                email?: string | undefined;
            })[] | undefined;
            description?: string | undefined;
            funding?: string | {
                url: string;
                type?: string | undefined;
            } | (string | {
                url: string;
                type?: string | undefined;
            })[] | undefined;
            keywords?: string[] | undefined;
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string | undefined> | undefined;
            repository?: string | {
                type: string;
                url: string;
                directory?: string | undefined;
            } | undefined;
            version?: string | undefined;
            module?: string | undefined;
            engines?: Record<string, string> | undefined;
            packageManager?: string | undefined;
            files?: string[] | undefined;
            license?: string | undefined;
            config?: Record<string, unknown> | undefined;
            private?: boolean | undefined;
            homepage?: string | undefined;
            maintainers?: (string | {
                name: string;
                url?: string | undefined;
                email?: string | undefined;
            })[] | undefined;
            publishConfig?: Record<string, unknown> | undefined;
            main?: string | undefined;
            types?: string | undefined;
            bugs?: string | {
                url?: string | undefined;
                email?: string | undefined;
            } | undefined;
            browser?: string | Record<string, string | boolean> | undefined;
            man?: string | string[] | undefined;
            directories?: Record<string, string> | undefined;
            peerDependencies?: Record<string, string> | undefined;
            peerDependenciesMeta?: Record<string, {
                optional: boolean;
            }> | undefined;
            bundleDependencies?: boolean | string[] | undefined;
            bundledDependencies?: boolean | string[] | undefined;
            optionalDependencies?: Record<string, string> | undefined;
            overrides?: Record<string, unknown> | undefined;
            os?: string[] | undefined;
            cpu?: string[] | undefined;
            workspaces?: string[] | undefined;
            deprecated?: string | undefined;
            typings?: string | undefined;
            typesVersions?: Record<string, Record<string, string[]>> | undefined;
            sideEffects?: boolean | string[] | undefined;
            imports?: Record<string, unknown> | undefined;
            exports?: string | string[] | Record<string, unknown> | null | undefined;
        } & {
            [k: string]: unknown;
        };
        cleanupCommands: string[];
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockPnpmDedupe: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockPRCompliance: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockPrettier: bingo_stratum.BlockWithAddons<{
        overrides: {
            options: {
                parser: string;
            };
            files: string;
        }[];
        ignores: string[];
        plugins: string[];
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockPrettierPluginCurly: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockPrettierPluginPackageJson: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockPrettierPluginSh: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockREADME: bingo_stratum.BlockWithAddons<{
        sections: string[];
        badges: string[];
        notices: string[];
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockReleaseIt: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockRenovate: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockSecurityDocs: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockTemplatedWith: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockTSup: bingo_stratum.BlockWithAddons<{
        entry: string[];
        runArgs: string[];
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockTypeScript: bingo_stratum.BlockWithoutAddons<{
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockVitest: bingo_stratum.BlockWithAddons<{
        exclude: string[];
        actionSteps: ({
            with?: Record<string, string> | undefined;
            env?: Record<string, string> | undefined;
            if?: string | undefined;
        } & ({
            run: string;
        } | {
            uses: string;
        }))[];
        coverage: {
            exclude?: string[] | undefined;
            include?: string[] | undefined;
        };
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
    blockVSCode: bingo_stratum.BlockWithAddons<{
        settings: Record<string, unknown>;
        debuggers?: (Record<string, unknown> & {
            name: string;
        })[] | undefined;
        extensions?: string[] | undefined;
        tasks?: ({
            detail: string;
        } & Record<string, unknown>)[] | undefined;
    }, {
        access: "public" | "restricted";
        description: string;
        directory: string;
        email: {
            github: string;
            npm: string;
        };
        title: string;
        owner: string;
        repository: string;
        author?: string | undefined;
        bin?: string | undefined;
        contributors?: {
            avatar_url: string;
            contributions: string[];
            login: string;
            name: string;
            profile: string;
        }[] | undefined;
        documentation?: string | undefined;
        emoji?: string | undefined;
        existingLabels?: {
            name: string;
            description: string;
            color: string;
        }[] | undefined;
        explainer?: string[] | undefined;
        funding?: string | undefined;
        guide?: {
            href: string;
            title: string;
        } | undefined;
        keywords?: string[] | undefined;
        logo?: {
            alt: string;
            src: string;
            height?: number | undefined;
            width?: number | undefined;
        } | undefined;
        node?: {
            minimum: string;
            pinned?: string | undefined;
        } | undefined;
        packageData?: {
            dependencies?: Record<string, string> | undefined;
            devDependencies?: Record<string, string> | undefined;
            scripts?: Record<string, string> | undefined;
        } | undefined;
        pnpm?: string | undefined;
        rulesetId?: string | undefined;
        usage?: string | undefined;
        version?: string | undefined;
        words?: string[] | undefined;
        workflowsVersions?: Record<string, Record<string, {
            pinned?: boolean | undefined;
            hash?: string | undefined;
        }>> | undefined;
    }>;
};

export { blocks };
